summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-02-15 13:49:43 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-02-15 13:49:43 +0000
commit06b9b5a3f39007a8b099192f97d85e000f608c2f (patch)
tree16a0b993caf049db8dc01f122a886a1d696a80ce /dev-python
parent61b43fcc50ce475e8ac30dfe7c6c1c510a09cf31 (diff)
downloadbaldeagleos-repo-06b9b5a3f39007a8b099192f97d85e000f608c2f.tar.gz
baldeagleos-repo-06b9b5a3f39007a8b099192f97d85e000f608c2f.tar.xz
baldeagleos-repo-06b9b5a3f39007a8b099192f97d85e000f608c2f.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/catkin_pkg/catkin_pkg-0.4.23-r1.ebuild1
-rw-r--r--dev-python/catkin_pkg/catkin_pkg-9999.ebuild1
-rw-r--r--dev-python/click-plugins/click-plugins-1.1.1.ebuild2
-rw-r--r--dev-python/configargparse/Manifest1
-rw-r--r--dev-python/configargparse/configargparse-1.3.ebuild30
-rw-r--r--dev-python/cryptography/cryptography-3.3.2.ebuild2
-rw-r--r--dev-python/eventlet/eventlet-0.30.0.ebuild2
-rw-r--r--dev-python/fido2/fido2-0.7.3.ebuild2
-rw-r--r--dev-python/flufl-lock/Manifest1
-rw-r--r--dev-python/flufl-lock/flufl-lock-5.0.5.ebuild38
-rw-r--r--dev-python/gst-python/gst-python-1.16.3.ebuild2
-rw-r--r--dev-python/pdfrw/pdfrw-0.4_p1.ebuild1
-rw-r--r--dev-python/pyFFTW/pyFFTW-0.12.0.ebuild3
-rw-r--r--dev-python/pyFFTW/pyFFTW-9999.ebuild3
-rw-r--r--dev-python/pygments/Manifest1
-rw-r--r--dev-python/pygments/pygments-2.8.0.ebuild45
-rw-r--r--dev-python/pyotherside/pyotherside-1.5.9.ebuild2
-rw-r--r--dev-python/python_orocos_kdl/python_orocos_kdl-1.4.0-r1.ebuild3
-rw-r--r--dev-python/python_orocos_kdl/python_orocos_kdl-9999.ebuild3
-rw-r--r--dev-python/rosdistro/rosdistro-0.8.3.ebuild3
-rw-r--r--dev-python/rosdistro/rosdistro-9999.ebuild3
-rw-r--r--dev-python/rospkg/rospkg-1.2.8-r1.ebuild3
-rw-r--r--dev-python/rospkg/rospkg-9999.ebuild3
-rw-r--r--dev-python/simplesoapy/simplesoapy-1.5.1-r1.ebuild3
-rw-r--r--dev-python/simplesoapy/simplesoapy-9999.ebuild3
-rw-r--r--dev-python/simplespectral/simplespectral-1.0.0.ebuild3
-rw-r--r--dev-python/simplespectral/simplespectral-9999.ebuild3
-rw-r--r--dev-python/sphinx/Manifest1
-rw-r--r--dev-python/sphinx/sphinx-3.5.0.ebuild127
-rw-r--r--dev-python/vcstools/vcstools-0.1.42.ebuild3
-rw-r--r--dev-python/websockets/websockets-8.1.ebuild2
31 files changed, 264 insertions, 36 deletions
diff --git a/dev-python/catkin_pkg/catkin_pkg-0.4.23-r1.ebuild b/dev-python/catkin_pkg/catkin_pkg-0.4.23-r1.ebuild
index 9c6269521ca6..8fcf7848ba8b 100644
--- a/dev-python/catkin_pkg/catkin_pkg-0.4.23-r1.ebuild
+++ b/dev-python/catkin_pkg/catkin_pkg-0.4.23-r1.ebuild
@@ -17,7 +17,6 @@ DESCRIPTION="Standalone Python library for the catkin package system"
HOMEPAGE="https://wiki.ros.org/catkin_pkg"
if [ "${PV#9999}" != "${PV}" ] ; then
SRC_URI=""
- KEYWORDS=""
else
SRC_URI="https://github.com/ros-infrastructure/catkin_pkg/archive/${PV}.tar.gz -> ${P}-gh.tar.gz"
KEYWORDS="~amd64 ~arm"
diff --git a/dev-python/catkin_pkg/catkin_pkg-9999.ebuild b/dev-python/catkin_pkg/catkin_pkg-9999.ebuild
index 9c6269521ca6..8fcf7848ba8b 100644
--- a/dev-python/catkin_pkg/catkin_pkg-9999.ebuild
+++ b/dev-python/catkin_pkg/catkin_pkg-9999.ebuild
@@ -17,7 +17,6 @@ DESCRIPTION="Standalone Python library for the catkin package system"
HOMEPAGE="https://wiki.ros.org/catkin_pkg"
if [ "${PV#9999}" != "${PV}" ] ; then
SRC_URI=""
- KEYWORDS=""
else
SRC_URI="https://github.com/ros-infrastructure/catkin_pkg/archive/${PV}.tar.gz -> ${P}-gh.tar.gz"
KEYWORDS="~amd64 ~arm"
diff --git a/dev-python/click-plugins/click-plugins-1.1.1.ebuild b/dev-python/click-plugins/click-plugins-1.1.1.ebuild
index aac0cf754016..174b399dabac 100644
--- a/dev-python/click-plugins/click-plugins-1.1.1.ebuild
+++ b/dev-python/click-plugins/click-plugins-1.1.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
diff --git a/dev-python/configargparse/Manifest b/dev-python/configargparse/Manifest
index 8f8bcacf7c14..ce89b4d890c1 100644
--- a/dev-python/configargparse/Manifest
+++ b/dev-python/configargparse/Manifest
@@ -1 +1,2 @@
DIST ConfigArgParse-1.2.3.gh.tar.gz 27858 BLAKE2B f8dbb1dfc9312107abcd0c715b93736cdb86a7742270932d13b768ac7a13f805902f026d5cb34e196a8c5c659af65c13698c2cc301b522b99bb0c019b2c0e68d SHA512 bfa8f9ca8ab5c6d4cdf2a7e7c577c99fafdf7f743c81057bebbb6045c45de2cdbf5d738f7765e5dcac5a45baa92e2a8bc7ad3879776b9cf4862e3da94e78c4cc
+DIST ConfigArgParse-1.3.gh.tar.gz 28274 BLAKE2B 0ea46747425d978da0de35e7ac29c91ee637f1c793265eeecf702ec504b1d1083d31bdaa48134de2916733f845cd68690af2ff0765b3a5bdc98365d03aad4492 SHA512 7f7048babacaada3495ece42d6bd484b07d648c2b2c1a8e700379aae6c65d96c37bf15a20f90281e2c0d83948e22986689c4b02e0388d9bf01e77d9d1561b0c5
diff --git a/dev-python/configargparse/configargparse-1.3.ebuild b/dev-python/configargparse/configargparse-1.3.ebuild
new file mode 100644
index 000000000000..c19492e74bb9
--- /dev/null
+++ b/dev-python/configargparse/configargparse-1.3.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="ConfigArgParse"
+MY_P="${MY_PN}-${PV}"
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Drop-in replacement for argparse supporting config files and env variables"
+HOMEPAGE="https://github.com/bw2/ConfigArgParse https://pypi.org/project/ConfigArgParse/"
+SRC_URI="https://github.com/bw2/ConfigArgParse/archive/${PV}.tar.gz -> ${MY_P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="test? ( dev-python/pyyaml[${PYTHON_USEDEP}] )"
+
+S="${WORKDIR}/${MY_P}"
+
+python_test() {
+ local -x COLUMNS=80
+ esetup.py test
+}
diff --git a/dev-python/cryptography/cryptography-3.3.2.ebuild b/dev-python/cryptography/cryptography-3.3.2.ebuild
index 231b0a3858ef..6c4fad1b11f7 100644
--- a/dev-python/cryptography/cryptography-3.3.2.ebuild
+++ b/dev-python/cryptography/cryptography-3.3.2.ebuild
@@ -16,7 +16,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
LICENSE="|| ( Apache-2.0 BSD )"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
IUSE="libressl idna"
RDEPEND="
diff --git a/dev-python/eventlet/eventlet-0.30.0.ebuild b/dev-python/eventlet/eventlet-0.30.0.ebuild
index 9bd324b24ff4..3fe1e0d5a862 100644
--- a/dev-python/eventlet/eventlet-0.30.0.ebuild
+++ b/dev-python/eventlet/eventlet-0.30.0.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/e/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ppc ppc64 ~s390 sparc ~x86"
+KEYWORDS="amd64 arm arm64 ppc ppc64 ~s390 sparc ~x86"
IUSE="doc examples test"
RDEPEND="
diff --git a/dev-python/fido2/fido2-0.7.3.ebuild b/dev-python/fido2/fido2-0.7.3.ebuild
index 203425084a86..66ea8071b770 100644
--- a/dev-python/fido2/fido2-0.7.3.ebuild
+++ b/dev-python/fido2/fido2-0.7.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
diff --git a/dev-python/flufl-lock/Manifest b/dev-python/flufl-lock/Manifest
index 5110585fe579..a29d69437740 100644
--- a/dev-python/flufl-lock/Manifest
+++ b/dev-python/flufl-lock/Manifest
@@ -1,2 +1,3 @@
DIST flufl-lock-5.0.1.tar.gz 27788 BLAKE2B 2651898e881719f24bc61e14f697877ca39f2747fadf52de1a5fc917b26e23001df5f0a4ea2e48271da69198e1a1336e69cc0167a4f46fddd21f464b355fa4ca SHA512 f937fb6c7f7bef2b85674225f83f3162f34db3fe2df3d9a896f772c4489c3e0611361e3d1d9efda7727112d780f31022d3045d3a3b8e78e9412aca2f2418ca24
DIST flufl.lock-5.0.4.tar.gz 29486 BLAKE2B 3fc6c3bfdac3c877c82f9f56e739342604be9f855a42a99bd06e5fb89fe8b3bc4cabd2e357e8e0992f7aa3f5ec7ea4a18e1f59a05beeeed7074a72440d3f6b9b SHA512 c08d8115c836f7523887d86539e9f11a2007913936fd8a4a116a610b648adf289fb086e8904b2163a6af7449e92a6edf9fad09fb770a34473768ffc4d8eb146e
+DIST flufl.lock-5.0.5.tar.gz 29537 BLAKE2B 978581adb55ce468ed2dd0f84978234a54293ee7cda4517dcdda2a2fc3507c965c419424f6a6bdc8cccbc15b14ebb739ff02e0c00d427f4f92afc31f913d0201 SHA512 11d0dde6addd34fd3812b346d851692addee49e7a65620acae87da791051f89638036a652645cb7fe34edd786afe3112bf5efb3fe4aa36760e2054622b0c1c8e
diff --git a/dev-python/flufl-lock/flufl-lock-5.0.5.ebuild b/dev-python/flufl-lock/flufl-lock-5.0.5.ebuild
new file mode 100644
index 000000000000..e2948e57ec3d
--- /dev/null
+++ b/dev-python/flufl-lock/flufl-lock-5.0.5.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+MY_P=${P/-/.}
+DESCRIPTION="NFS-safe file locking with timeouts for POSIX systems"
+HOMEPAGE="https://gitlab.com/warsaw/flufl.lock"
+SRC_URI="mirror://pypi/${PN::1}/${PN/-/.}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/atpublic[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' python3_7)"
+BDEPEND="
+ test? ( dev-python/sybil[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e 's:--cov=flufl::' setup.cfg || die
+ distutils-r1_src_prepare
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${D}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/gst-python/gst-python-1.16.3.ebuild b/dev-python/gst-python/gst-python-1.16.3.ebuild
index d097ae0c4b99..cf58e9b26359 100644
--- a/dev-python/gst-python/gst-python-1.16.3.ebuild
+++ b/dev-python/gst-python/gst-python-1.16.3.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://gstreamer.freedesktop.org/src/${PN}/${P}.tar.xz"
LICENSE="LGPL-2+"
SLOT="1.0"
-KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux ~x86-solaris"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux ~x86-solaris"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RDEPEND="${PYTHON_DEPS}
diff --git a/dev-python/pdfrw/pdfrw-0.4_p1.ebuild b/dev-python/pdfrw/pdfrw-0.4_p1.ebuild
index f854bec7af8c..6724f4e9b9b9 100644
--- a/dev-python/pdfrw/pdfrw-0.4_p1.ebuild
+++ b/dev-python/pdfrw/pdfrw-0.4_p1.ebuild
@@ -15,7 +15,6 @@ if [[ ${PV} = 9999* ]]; then
EGIT_REPO_URI="https://github.com/sarnold/hexdump.git"
EGIT_BRANCH="main"
inherit git-r3
- KEYWORDS=""
else
MY_PV="${PV/_p/-}"
MY_P="${PN}-${MY_PV}"
diff --git a/dev-python/pyFFTW/pyFFTW-0.12.0.ebuild b/dev-python/pyFFTW/pyFFTW-0.12.0.ebuild
index d343d8d902ef..0b8fc47b0069 100644
--- a/dev-python/pyFFTW/pyFFTW-0.12.0.ebuild
+++ b/dev-python/pyFFTW/pyFFTW-0.12.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -12,7 +12,6 @@ HOMEPAGE="https://github.com/pyFFTW/pyFFTW"
LICENSE="BSD"
SLOT="0"
if [ "${PV}" = "9999" ]; then
- KEYWORDS=""
inherit git-r3
EGIT_REPO_URI="https://github.com/pyFFTW/pyFFTW.git"
else
diff --git a/dev-python/pyFFTW/pyFFTW-9999.ebuild b/dev-python/pyFFTW/pyFFTW-9999.ebuild
index d343d8d902ef..0b8fc47b0069 100644
--- a/dev-python/pyFFTW/pyFFTW-9999.ebuild
+++ b/dev-python/pyFFTW/pyFFTW-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -12,7 +12,6 @@ HOMEPAGE="https://github.com/pyFFTW/pyFFTW"
LICENSE="BSD"
SLOT="0"
if [ "${PV}" = "9999" ]; then
- KEYWORDS=""
inherit git-r3
EGIT_REPO_URI="https://github.com/pyFFTW/pyFFTW.git"
else
diff --git a/dev-python/pygments/Manifest b/dev-python/pygments/Manifest
index a4bb8287291a..ee4b5791a590 100644
--- a/dev-python/pygments/Manifest
+++ b/dev-python/pygments/Manifest
@@ -1 +1,2 @@
DIST Pygments-2.7.4.tar.gz 2325473 BLAKE2B 48e45f8d58e4d06be71cacbfbcbee57c69fe0b4c344c1dde2054912f1b74c67db19c24de2661acab7026ea78420ff90e4596e1a89b783ce79ebea12c8d3a7a60 SHA512 84fb2e0c52e4683d52524ee1d70c11a9ff6cc0b21fe6aa3e1a6c4fac393f87267756b1c04b7c2555799e387b2e9ca7d2e7703ddc1690a642aa263ed27510e030
+DIST Pygments-2.8.0.tar.gz 3999484 BLAKE2B 5267a4a9e18a01897906239d2cb4f508675e0de3d9a33ae9b144424b18883da53937d92755f8ab1ddc7b10a248031fb693b4012407079aca1d08c8924360e75d SHA512 7e3dd2119769b704d6bbd4867c85eedb0d3c8ac415280fb35a1194284511c6fe6c5696bf6515e14da7a944b7ad5aeb945a71e79abcd1a42949ca30bbfe2e31b3
diff --git a/dev-python/pygments/pygments-2.8.0.ebuild b/dev-python/pygments/pygments-2.8.0.ebuild
new file mode 100644
index 000000000000..c3d46fedf5bd
--- /dev/null
+++ b/dev-python/pygments/pygments-2.8.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1 bash-completion-r1
+
+MY_P=${P^}
+DESCRIPTION="Pygments is a syntax highlighting package written in Python"
+HOMEPAGE="
+ https://pygments.org/
+ https://github.com/pygments/pygments/
+ https://pypi.org/project/Pygments/"
+SRC_URI="mirror://pypi/${MY_P:0:1}/${PN^}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+BDEPEND="
+ test? (
+ virtual/ttf-fonts
+ )"
+
+distutils_enable_sphinx doc
+distutils_enable_tests pytest
+
+python_test() {
+ local deselect=()
+ # there is a known bug in regex engine of pypy3.7
+ [[ ${EPYTHON} == pypy3 && $(pypy3 --version) == "Python 3.7"* ]] &&
+ deselect+=( tests/snippets/crystal/test_macro.txt:: )
+
+ pytest -vv ${deselect[@]/#/--deselect } ||
+ die "Tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ newbashcomp external/pygments.bashcomp pygmentize
+}
diff --git a/dev-python/pyotherside/pyotherside-1.5.9.ebuild b/dev-python/pyotherside/pyotherside-1.5.9.ebuild
index 9aee8cc1254d..8d7426cd3b0d 100644
--- a/dev-python/pyotherside/pyotherside-1.5.9.ebuild
+++ b/dev-python/pyotherside/pyotherside-1.5.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
diff --git a/dev-python/python_orocos_kdl/python_orocos_kdl-1.4.0-r1.ebuild b/dev-python/python_orocos_kdl/python_orocos_kdl-1.4.0-r1.ebuild
index 96b8445349c5..55adc9af41bd 100644
--- a/dev-python/python_orocos_kdl/python_orocos_kdl-1.4.0-r1.ebuild
+++ b/dev-python/python_orocos_kdl/python_orocos_kdl-1.4.0-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -13,7 +13,6 @@ fi
inherit ${SCM} python-r1 cmake
if [ "${PV#9999}" != "${PV}" ] ; then
- KEYWORDS=""
SRC_URI=""
else
KEYWORDS="~amd64 ~arm"
diff --git a/dev-python/python_orocos_kdl/python_orocos_kdl-9999.ebuild b/dev-python/python_orocos_kdl/python_orocos_kdl-9999.ebuild
index 1e48efbe0166..0dea66e82bd9 100644
--- a/dev-python/python_orocos_kdl/python_orocos_kdl-9999.ebuild
+++ b/dev-python/python_orocos_kdl/python_orocos_kdl-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -13,7 +13,6 @@ fi
inherit ${SCM} python-r1 cmake
if [ "${PV#9999}" != "${PV}" ] ; then
- KEYWORDS=""
SRC_URI=""
else
KEYWORDS="~amd64 ~arm"
diff --git a/dev-python/rosdistro/rosdistro-0.8.3.ebuild b/dev-python/rosdistro/rosdistro-0.8.3.ebuild
index 16a2488ad2b1..71aa7ad40053 100644
--- a/dev-python/rosdistro/rosdistro-0.8.3.ebuild
+++ b/dev-python/rosdistro/rosdistro-0.8.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -17,7 +17,6 @@ DESCRIPTION="Tools to work with catkinized rosdistro files"
HOMEPAGE="https://wiki.ros.org/rosdistro"
if [ "${PV#9999}" != "${PV}" ] ; then
SRC_URI=""
- KEYWORDS=""
else
SRC_URI="https://github.com/ros-infrastructure/rosdistro/archive/${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm"
diff --git a/dev-python/rosdistro/rosdistro-9999.ebuild b/dev-python/rosdistro/rosdistro-9999.ebuild
index 16a2488ad2b1..71aa7ad40053 100644
--- a/dev-python/rosdistro/rosdistro-9999.ebuild
+++ b/dev-python/rosdistro/rosdistro-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -17,7 +17,6 @@ DESCRIPTION="Tools to work with catkinized rosdistro files"
HOMEPAGE="https://wiki.ros.org/rosdistro"
if [ "${PV#9999}" != "${PV}" ] ; then
SRC_URI=""
- KEYWORDS=""
else
SRC_URI="https://github.com/ros-infrastructure/rosdistro/archive/${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm"
diff --git a/dev-python/rospkg/rospkg-1.2.8-r1.ebuild b/dev-python/rospkg/rospkg-1.2.8-r1.ebuild
index ef21993e7b45..e656cd999ffd 100644
--- a/dev-python/rospkg/rospkg-1.2.8-r1.ebuild
+++ b/dev-python/rospkg/rospkg-1.2.8-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -17,7 +17,6 @@ DESCRIPTION="Standalone Python library for the ROS package system"
HOMEPAGE="https://wiki.ros.org/rospkg"
if [ "${PV#9999}" != "${PV}" ] ; then
SRC_URI=""
- KEYWORDS=""
# Needed for tests
S="${WORKDIR}/${PN}"
EGIT_CHECKOUT_DIR="${S}"
diff --git a/dev-python/rospkg/rospkg-9999.ebuild b/dev-python/rospkg/rospkg-9999.ebuild
index ef21993e7b45..e656cd999ffd 100644
--- a/dev-python/rospkg/rospkg-9999.ebuild
+++ b/dev-python/rospkg/rospkg-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -17,7 +17,6 @@ DESCRIPTION="Standalone Python library for the ROS package system"
HOMEPAGE="https://wiki.ros.org/rospkg"
if [ "${PV#9999}" != "${PV}" ] ; then
SRC_URI=""
- KEYWORDS=""
# Needed for tests
S="${WORKDIR}/${PN}"
EGIT_CHECKOUT_DIR="${S}"
diff --git a/dev-python/simplesoapy/simplesoapy-1.5.1-r1.ebuild b/dev-python/simplesoapy/simplesoapy-1.5.1-r1.ebuild
index 343263fe601d..90856f35657e 100644
--- a/dev-python/simplesoapy/simplesoapy-1.5.1-r1.ebuild
+++ b/dev-python/simplesoapy/simplesoapy-1.5.1-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -13,7 +13,6 @@ LICENSE="MIT"
SLOT="0"
if [ "${PV}" = "9999" ]; then
- KEYWORDS=""
inherit git-r3
EGIT_REPO_URI="https://github.com/xmikos/simplesoapy.git"
else
diff --git a/dev-python/simplesoapy/simplesoapy-9999.ebuild b/dev-python/simplesoapy/simplesoapy-9999.ebuild
index 343263fe601d..90856f35657e 100644
--- a/dev-python/simplesoapy/simplesoapy-9999.ebuild
+++ b/dev-python/simplesoapy/simplesoapy-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -13,7 +13,6 @@ LICENSE="MIT"
SLOT="0"
if [ "${PV}" = "9999" ]; then
- KEYWORDS=""
inherit git-r3
EGIT_REPO_URI="https://github.com/xmikos/simplesoapy.git"
else
diff --git a/dev-python/simplespectral/simplespectral-1.0.0.ebuild b/dev-python/simplespectral/simplespectral-1.0.0.ebuild
index 0bac8b3e7ac8..cf8c349d5e49 100644
--- a/dev-python/simplespectral/simplespectral-1.0.0.ebuild
+++ b/dev-python/simplespectral/simplespectral-1.0.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -13,7 +13,6 @@ LICENSE="MIT"
SLOT="0"
if [ "${PV}" = "9999" ]; then
- KEYWORDS=""
inherit git-r3
EGIT_REPO_URI="https://github.com/xmikos/simplespectral.git"
else
diff --git a/dev-python/simplespectral/simplespectral-9999.ebuild b/dev-python/simplespectral/simplespectral-9999.ebuild
index 0bac8b3e7ac8..cf8c349d5e49 100644
--- a/dev-python/simplespectral/simplespectral-9999.ebuild
+++ b/dev-python/simplespectral/simplespectral-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -13,7 +13,6 @@ LICENSE="MIT"
SLOT="0"
if [ "${PV}" = "9999" ]; then
- KEYWORDS=""
inherit git-r3
EGIT_REPO_URI="https://github.com/xmikos/simplespectral.git"
else
diff --git a/dev-python/sphinx/Manifest b/dev-python/sphinx/Manifest
index 6ae9dd89f18f..b463d91f258e 100644
--- a/dev-python/sphinx/Manifest
+++ b/dev-python/sphinx/Manifest
@@ -2,3 +2,4 @@ DIST Sphinx-2.4.4.tar.gz 5966973 BLAKE2B 727a75eb4ec33beadf80b22cdd8dda02a53f4da
DIST Sphinx-3.3.1.tar.gz 5979919 BLAKE2B 4eb9d8c9dccfd83690252ad6be05a3e69006e1e801bb0b37b77fb6ccf998f3a2fd99a90eba890cfb2baa5545ac0c2734fcd72d602fc2d1091e6754337f241b34 SHA512 bb1fb0780b741c0162ca014cb996dcdaac06985d14b6cc645a835679d7cf2680912784a815a027caf3fe902f721f9707bc9e9daaaf2c2d43051d31fe00584f78
DIST Sphinx-3.4.2.tar.gz 5996867 BLAKE2B 4ab0989d521702a5e84148d12f57c2332d27519807de1aa33fff3a17813c8be0247e413c768cd3062c4c52372607cc6f5f16ca0a2ff46cbb8e73db4dd7270796 SHA512 7af39a6c40f54018cce59c2407af278bcbfbded305742918d053e75ae7bdc3a1ea8cc615fd554c9f9581c84723cf5f70ebed8916c54215c5024cf63e31dd3a0e
DIST Sphinx-3.4.3.tar.gz 5997116 BLAKE2B 73a488564d5889bfc6d7f6f797aa3b144b03cf5f086a4543c3f4b2a452b353f4d799b80a14a0d4118e227660b7f9367fe8f3a2e91f6127cdca489cf4fad215f3 SHA512 2e085e00c722f3aaf34552eefc3842daf5443f7b8a11afa850db1e31ad81d5ff7f579622b91f982b21708fa6379907bac4fe72d42dc05859a3f62c75298facaa
+DIST Sphinx-3.5.0.tar.gz 5889244 BLAKE2B 7a6cf06264a62d6adbb79f80120e1182a37a73e3f600f30325a6c32d58423e4f7d02bf9d737c31c5ba7f91e23e6e19a59486c58ec0d4e31636ac39ffce6a46b0 SHA512 d0c146cf698b59b93e4867bb9930b08aa7ed877e892783c66d34362fa8e485cdc403811e5c94ad08c7b574c2b8d8e83df71f9856ef0d2e8057572224b8444ff7
diff --git a/dev-python/sphinx/sphinx-3.5.0.ebuild b/dev-python/sphinx/sphinx-3.5.0.ebuild
new file mode 100644
index 000000000000..c14846447bc6
--- /dev/null
+++ b/dev-python/sphinx/sphinx-3.5.0.ebuild
@@ -0,0 +1,127 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python documentation generator"
+HOMEPAGE="https://www.sphinx-doc.org/
+ https://github.com/sphinx-doc/sphinx"
+SRC_URI="mirror://pypi/S/${PN^}/${P^}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="doc latex test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ <dev-python/alabaster-0.8[${PYTHON_USEDEP}]
+ >=dev-python/Babel-1.3[${PYTHON_USEDEP}]
+ >=dev-python/docutils-0.12[${PYTHON_USEDEP}]
+ dev-python/imagesize[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.3[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.5.0[${PYTHON_USEDEP}]
+ >=dev-python/snowballstemmer-1.1[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-applehelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-devhelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-jsmath[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-htmlhelp[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-serializinghtml[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-qthelp[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/typed-ast[${PYTHON_USEDEP}]
+ ' python3_{6,7})
+ latex? (
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ app-text/dvipng
+ )"
+BDEPEND="
+ doc? (
+ dev-python/sphinxcontrib-websupport[${PYTHON_USEDEP}]
+ media-gfx/graphviz
+ )
+ test? (
+ ${RDEPEND}
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ virtual/imagemagick-tools[jpeg,png,svg]
+ dev-texlive/texlive-fontsextra
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ app-text/dvipng
+ )"
+
+S="${WORKDIR}/${P^}"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-3.2.1-doc-link.patch"
+)
+
+python_prepare_all() {
+ # disable internet access
+ sed -i -e 's:^intersphinx_mapping:disabled_&:' \
+ doc/conf.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ distutils-r1_python_compile
+
+ # Generate the grammar. It will be caught by install somehow.
+ # Note that the tests usually do it for us. However, I don't want
+ # to trust USE=test really running all the tests, especially
+ # with FEATURES=test-fail-continue.
+ pushd "${BUILD_DIR}"/lib >/dev/null || die
+ "${EPYTHON}" -m sphinx.pycode.__init__ || die "Grammar generation failed."
+ popd >/dev/null || die
+}
+
+python_compile_all() {
+ if use doc; then
+ esetup.py build_sphinx
+ HTML_DOCS=( "${BUILD_DIR}"/sphinx/html/. )
+ fi
+}
+
+python_test() {
+ mkdir -p "${BUILD_DIR}/sphinx_tempdir" || die
+ local -x SPHINX_TEST_TEMPDIR="${BUILD_DIR}/sphinx_tempdir"
+
+ local deselect=(
+ # these tests require Internet access
+ tests/test_build_latex.py::test_latex_images
+ tests/test_build_linkcheck.py::test_defaults
+ tests/test_build_linkcheck.py::test_defaults_json
+ tests/test_build_linkcheck.py::test_anchors_ignored
+ )
+ [[ ${EPYTHON} == pypy3 ]] && deselect+=(
+ tests/test_ext_autodoc.py::test_autodoc_inherited_members_None
+ tests/test_ext_autodoc.py::test_automethod_for_builtin
+ tests/test_ext_autodoc.py::test_partialfunction
+ tests/test_ext_autodoc.py::test_autodoc_typed_instance_variables
+ tests/test_ext_autodoc.py::test_autodoc_typed_inherited_instance_variables
+ tests/test_ext_autodoc.py::test_cython
+ tests/test_ext_autodoc_autoclass.py::test_show_inheritance_for_subclass_of_generic_type
+ tests/test_ext_autodoc_autodata.py::test_autodata_type_comment
+ tests/test_ext_autodoc_autofunction.py::test_builtin_function
+ tests/test_ext_autodoc_autofunction.py::test_methoddescriptor
+ tests/test_ext_autodoc_configs.py::test_autodoc_typehints_signature
+ tests/test_ext_autodoc_configs.py::test_autodoc_type_aliases
+ tests/test_ext_autosummary.py::test_autosummary_generate_content_for_module
+ tests/test_ext_autosummary.py::test_autosummary_generate_content_for_module_skipped
+ tests/test_pycode_parser.py::test_annotated_assignment_py36
+ )
+
+ pytest -vv ${deselect[@]/#/--deselect } ||
+ die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/vcstools/vcstools-0.1.42.ebuild b/dev-python/vcstools/vcstools-0.1.42.ebuild
index 465f98c5ed2c..2bf276548dda 100644
--- a/dev-python/vcstools/vcstools-0.1.42.ebuild
+++ b/dev-python/vcstools/vcstools-0.1.42.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -16,7 +16,6 @@ DESCRIPTION="Python library for interacting with various VCS systems"
HOMEPAGE="https://wiki.ros.org/vcstools"
if [ "${PV#9999}" != "${PV}" ] ; then
SRC_URI=""
- KEYWORDS=""
else
SRC_URI="http://download.ros.org/downloads/${PN}/${P}.tar.gz
https://github.com/vcstools/vcstools/archive/${PV}.tar.gz -> ${P}.tar.gz
diff --git a/dev-python/websockets/websockets-8.1.ebuild b/dev-python/websockets/websockets-8.1.ebuild
index 08353bfff544..726370f8798d 100644
--- a/dev-python/websockets/websockets-8.1.ebuild
+++ b/dev-python/websockets/websockets-8.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7